#
# spec file for package xfs
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           xfs
Version:        1.2.0
Release:        lp150.2.1
# FIXME: update xorg-x11-fonts-devel BuildRequires to font-util after renaming is done
Summary:        X font server
License:        HPND
Group:          System/X11/Utilities
Url:            http://xorg.freedesktop.org/
# http://xorg.freedesktop.org/releases/individual/app/
Source0:        %{name}-%{version}.tar.bz2
Source1:        xfs.config
Source2:        xfs.init.d
%if 0%{?suse_version} >= 01140
# Needed to create the man page symlink to init.d
BuildRequires:  aaa_base-extras
%endif
BuildRequires:  pkg-config
# FIXME: change to font-util >= 1.1 when xorg-x11-fonts-devel will be renamed
BuildRequires:  xorg-x11-fonts-devel
BuildRequires:  pkgconfig(xfont2)
BuildRequires:  pkgconfig(xorg-macros) >= 1.10
BuildRequires:  pkgconfig(xproto) >= 7.0.17
BuildRequires:  pkgconfig(xtrans)
PreReq:         %fillup_prereq
PreReq:         %insserv_prereq
# This was part of the xorg-x11 package up to version 7.6
Conflicts:      xorg-x11 <= 7.6
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
xfs is the X Window System font server. It supplies fonts to X Window
System display servers.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
%make_install
install -D -m0644 %{SOURCE1} %{buildroot}%{_sysconfdir}/X11/fs/config
install -D -m0755 %{SOURCE2} %{buildroot}%{_sysconfdir}/init.d/xfs
mkdir -p %{buildroot}%{_sbindir}
ln -s %{_sysconfdir}/init.d/xfs %{buildroot}%{_sbindir}/rcxfs

%post
%fillup_and_insserv xfs

%preun
%stop_on_removal xfs

%postun
%restart_on_update xfs
%insserv_cleanup

%files
%defattr(-,root,root)
%doc ChangeLog COPYING README
%dir %{_sysconfdir}/X11/fs
%config %verify(not md5 size mtime) %{_sysconfdir}/X11/fs/config
%{_sysconfdir}/init.d/xfs
%{_bindir}/xfs
%{_sbindir}/rcxfs
%{_mandir}/man1/xfs.1%{?ext_man}

%changelog
* Thu Feb  8 2018 sndirsch@suse.com
- fixed build (looks like a manual page has been dropped)
* Tue Nov 28 2017 sndirsch@suse.com
- xfs 1.2.0
  * This release ports the X Font Server to libXfont 2.x.
    Distributions may now drop libXfont 1.x at their convenience.
    This conversion has been lightly tested but some issues may
    remain; please report any new issues to xorg-devel@lists.x.org.
* Tue May 30 2017 sndirsch@suse.com
- includes everything needed for missing sle issue entries:
  fate #320388 (bsc#1041620)
* Mon Aug 25 2014 sndirsch@suse.com
- xfs 1.1.4
  * This release improves compatibility with libXfont 1.5 and
    cleans up many compiler warnings and chunks of dead code.
  * supersedes U_Only-call-SnfSetFormat-if-libXfont-is-built-with-SNF.patch
* Tue Jul 15 2014 sndirsch@suse.com
- U_Only-call-SnfSetFormat-if-libXfont-is-built-with-SNF.patch
  * needed after switching to libXfont 1.8, which now disables
    support for SNF font format by default
* Wed Mar 19 2014 sndirsch@suse.com
- udpated to current git id 2c79452 in order to fix build for
  latest libXfont
* Wed Jun 12 2013 cfarrell@suse.com
- license update: HPND
  This is HPND, not MIT (absence of express sublicensing permission etc)
* Tue May  7 2013 sndirsch@suse.com
- xfs 1.1.3
  * This release contains a number of code cleanups and other
    minor fixes.
* Fri May 11 2012 sndirsch@suse.com
- make use of %%verfiy(not md5 size mtime) for /etc/X11/fs/config
  (bnc#761824)
* Fri Apr 13 2012 vuntz@opensuse.org
- Update to version 1.1.2:
  + Fix issues found by static analysis and compiler warnings
  + Code & doc cleanups
  + Build configuration improvements
- Add pkgconfig(xproto) BuildRequires: new upstream dependency.
- Remove pkgconfig(libfs) BuildRequires: dependency has been
  removed.
- Call %%restart_on_update for xfs in %%postun, as recommended by
  packaging guidelines.
* Fri Apr 13 2012 vuntz@opensuse.org
- Split xfs from xorg-x11. Initial version: 1.1.1.
